#!/usr/bin/env node
"use strict";

var _commander = require("commander");

var _commander2 = _interopRequireDefault(_commander);

var _ = require(".");

var _2 = _interopRequireDefault(_);

var _package = require("../package.json");

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version(_package.version).option('-s, --separator [separator]', 'separate emails by this string. defaults to ,', ',').option('-e, --string', 'read arguments as strings instead of files').option('-n, --encoding [encoding]', 'encoding for reading files. defaults to utf8').parse(process.argv);

if (!_commander2.default.args.length) {
    console.error("You must provide a file or list of files (or strings with --string) to parse");
    process.exit(1);
}

if (_commander2.default.string && _commander2.default.encoding) {
    console.warn("Encoding is ignored when parsing as a string");
}

// Loop over the arguments to print out as parsing is done on the strings.
// This is done rather than building the string.
// TODO parse as a stream for speed / memory efficiency
_commander2.default.args.forEach(function (emails, idx) {
    if (_commander2.default.string) {
        process.stdout.write((0, _2.default)(emails, _commander2.default.separator));
    } else {
        process.stdout.write((0, _2.default)(_fs2.default.readFileSync(emails, _commander2.default.encoding || "utf8"), _commander2.default.separator));
    }

    // Not the last file, so print the separator again
    if (idx !== _commander2.default.args.length - 1) {
        process.stdout.write(_commander2.default.separator);
    }
});

process.stdout.write("\n");